Create Connection
post
/rpa/v1/connections
Creates a new Connection.
Request
Header Parameters
-
opc-retry-token: string
Minimum Length:
1Maximum Length:64A token that uniquely identifies a request so it can be retried in case of a timeout or server error without the risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectThe information about new Connection.
Show Source
-
connectionShapeIdentifier(required): string
Connection Shape Identifier
-
content: string
Content of the Connection
-
description: string
Minimum Length:
0Maximum Length:1024Description of the Connection. -
displayName(required): string
Minimum Length:
1Maximum Length:255Connection Name, can be renamed. -
identifier: string
Connection identifier
-
keywords: string
Minimum Length:
0Maximum Length:1024Keywords. -
projectId(required): string
Project
-
projectType: string
Project Type
Response
202 Response
Accepted the request. The Connection will be created.
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
-
opc-work-request-id:
Unique Oracle-assigned identifier for the asynchronous work. You can use this to query its status.
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
409 Response
Conflict
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.